Bug 848047 - CAn't link programs needing libXpm: symbolic link libXpm.so in /usr/lib and /usre/lib64 is missing
CAn't link programs needing libXpm: symbolic link libXpm.so in /usr/lib and /...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libXpm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 08:48 EDT by Joachim Backes
Modified: 2014-06-18 05:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-14 09:42:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2012-08-14 08:48:57 EDT
Description of problem:
Linking programs needing libXpm fails: LibXpm not found:

rpm -ql libXpm
/usr/lib64/libXpm.so.4
/usr/lib64/libXpm.so.4.11.0
/usr/share/doc/libXpm-3.5.10
/usr/share/doc/libXpm-3.5.10/AUTHORS
/usr/share/doc/libXpm-3.5.10/COPYING
/usr/share/doc/libXpm-3.5.10/ChangeLog
/usr/lib/libXpm.so.4
/usr/lib/libXpm.so.4.11.0
/usr/share/doc/libXpm-3.5.10
/usr/share/doc/libXpm-3.5.10/AUTHORS
/usr/share/doc/libXpm-3.5.10/COPYING
/usr/share/doc/libXpm-3.5.10/ChangeLog

I have to make a link in /usr/lib64:

ln -s libXpm.so libXpm.so.4.11.0

Version-Release number of selected component (if applicable):

libXpm-3.5.10-1.fc17.x86_64
libXpm-3.5.10-1.fc17.i686


How reproducible:

always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The problems appears if I try t link a lesstif program.
Comment 1 Joachim Backes 2012-08-14 09:42:56 EDT
My mistake: I did not install libXpm-devel :-(

Note You need to log in before you can comment on or make changes to this bug.